Skip to main content
Authentication

Generate a signon token

This method requires the SignonToken:Create permission to be associated with your role.

POST
/gb/signon
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/json

JSON payload

create_gb_user_with_this_roleenum<string>

(Optional) If specified, a gb_users record for defined role will be generated. The entity association is inferred from the user_login value.

Available options: driver, package_employee
screen_heightinteger

(Optional) Screen height in pixels

Example: 768
screen_widthinteger

(Optional) Screen width in pixels

Example: 1024
single_signon_role_flagenum<string>default:no

(Optional) If set to 'yes', the specified user login must be associated with a role that has its single_signon_flag set to 'yes'.

Available options: no, yes
token_timeoutinteger

(Optional) Token timeout in seconds. If specified, the issued signon token will expire after the specified number of seconds

Required range: 0 <= x <= 28800
Example: 3600
user_loginstringrequired

User login

Example: example-user

Response

application/vnd.catch-e-api.v1+json

Success

expires_ininteger
Required range: 0 <= x <= 999999
Example: 3600
signon_tokenstring
Example: a36da543d6196bb93ad9016889bb4becc01f383b